function c=diff(X,N,DIM)
%diff: difference and approximate derivative

%Use the built-in functions for each component, and recover the qd-type afterwards. 
if nargin<2
    %Use the built-in functions for each component, and recover the qd-type afterwards. 
    c=qd(diff(getp1(X)),diff(getp2(X)),diff(getp3(X)),diff(getp4(X)));
    return
end
if nargin<3,
    c=qd(diff(getp1(X),N),diff(getp2(X),N),diff(getp3(X),N),diff(getp4(X),N));
    return
end
if N>size(X,DIM),c=[]*X(1);return;end
c=qd(diff(getp1(X),N,DIM),diff(getp2(X),N,DIM),diff(getp3(X),N,DIM),diff(getp4(X),N,DIM));
