function disp(X)
%disp: displays qd-type matrices

%Write down something interesting for the operation. There is also an alternative
%procedure relying on some implemented in the C++ library; here it is the documentation:  
% 		/* Writes the double-double number into the string s.
%            The integer d specifies how many significant digits to write.
%            The string s must be able to hold at least (d+8) characters.  */
% 		void qd_real::write(char *s, int d) const {
%I do not know how to use it, or whether this is the right place to use it (maybe in
%@qd\sprintf?

%For the moment, use something reasonable
format compact
if isequal(get(0,'FormatSpacing'),'compact')
    disp([inputname(1) ' (p1) =']);
    disp(getp1(X));
    disp([inputname(1) ' (p2) =']);
    disp(getp2(X));
    disp([inputname(1) ' (p3) =']);
    disp(getp3(X));
    disp([inputname(1) ' (p4) =']);
    disp(getp4(X));
else
    disp(' ');
    disp([inputname(1) ' (p1) =']);
    disp(' ');
    disp(getp1(X));
    disp([inputname(1) ' (p2) =']);
    disp(' ');
    disp(getp2(X));
    disp([inputname(1) ' (p3) =']);
    disp(' ');
    disp(getp3(X));
    disp([inputname(1) ' (p4) =']);
    disp(' ');
    disp(getp4(X));
end
format loose