function s=rand(varargin)
%rand: random number generator of qd-type

%Convert the parameters to double if necessary
for i=1:length(varargin)
    if isnumeric(varargin{i})
        V{i}=double(varargin{i});
    else
        V{i}=varargin{i};
    end
end
if length(varargin)==1
    if isstr(varargin{1})
        %the user wants to set/reset the state
        s=rand(V{:});
        return
    end
end
%this is a perfectly valid random, despite it has s.lo identically zero
%this should be improved with a better algorithm, or by invoking the library qd_rand
s=qd(rand(V{:}));
