function txt=sprintf(FORMAT,varargin);
%sprintf: create strings from qd-type matrix, as well as of other data type elements

%Parse the FORMAT string, and call the builtin when required according to the data type
%This might need to be improved
s=parsesprintf(FORMAT);%s should be a cell array, same size as varargin 
txt=[]; 
for i=1:length(s) 
    switch class(varargin{i}) 
        case {'extended' 'double' 'single' 'char'} 
            txt=[txt sprintf(char(s{i}),varargin{i})]; 
        case 'dd' 
            A=varargin{i};B=getlo(A);A=gethi(A);
            %we gives the format string to the routine dd_write, under the hope that
            %it will be taken into account there. Presently it is not, and the output string
            %is of constant length 40
            txt=[txt ' ' dd_write(char(s{i}),A,B)]; 
        case 'qd' 
            A=varargin{i};A1=getp1(A);A2=getp2(A);A3=getp3(A);A4=getp4(A);
            %we gives the format string to the routine qd_write, under the hope that
            %it will be taken into account there. Presently it is not, and the output string
            %is of constant length 40
            txt=[txt ' ' qd_write(char(s{i}),A1,A2,A3,A4)]; 
        otherwise 
            error(['data type is not known: ' class(varargin{i})]) 
    end 
end 
