function [U,S,V]= svd(A,dummy)

switch nargin
    case 1
        %[U,S,V]=svdsim(A);
        [U,S,V]=mysvd(A);
    case 2
        %(as implemented) this "economic" version is not very economic  
        %[U,S,V]=svdsim(A);
        [U,S,V]=mysvd(A);
        [m,n]=size(A);
        if m>n
            %This should work, but it doesn't because we are within
            %the @qd directory
            %U=U(:,1:n);S=S(1:n,1:n);
            %Invoke the subsref directly
            s.type='()';s.subs = {':',1:n};
            U=subsref(U,s);
            s.subs = {1:n,1:n};
            S=subsref(S,s);
        end
end
switch nargout 
    case 1
        U=diag(S);
    case 3
        %Standard case; do nothing!
    otherwise
        error('too many outputs for SVD')
end