function s=rem(x,y)
%rem: REM(x,y) is x - n.*y where n = fix(x./y) if y ~= 0 and any of both is of qd-type

%     REM(x,y) is x - n.*y where n = fix(x./y) if y ~= 0.  If y is not an
%     integer and the quotient x./y is within roundoff error of an integer,
%     then n is that integer.  By convention, REM(x,0) is NaN.  The input
%     x and y must be real arrays of the same size, or real scalars.
%  
%     REM(x,y) has the same sign as x while MOD(x,y) has the same sign as y.
%     REM(x,y) and MOD(x,y) are equal if x and y have the same sign, but
%     differ by y if x and y have different signs.

s=fix(x./y);
s=x-s.*y;
