function c=vertcat(varargin)
%vertcat: vertical concatenation of a qd-type matrix
for i=1:length(varargin)
    dummy=varargin{i};
    if isa(dummy,'qd')
        vararginP1{i}=getp1(dummy);
        vararginP2{i}=getp2(dummy);
        vararginP3{i}=getp3(dummy);
        vararginP4{i}=getp4(dummy);
    else
        %type double, single, etc.
        vararginP1{i}=dummy;
        vararginP2{i}=zeros(size(dummy));
        vararginP3{i}=zeros(size(dummy));
        vararginP4{i}=zeros(size(dummy));        
    end        
end
c.p1=vertcat(vararginP1{:});
c.p2=vertcat(vararginP2{:});
c.p3=vertcat(vararginP3{:});
c.p4=vertcat(vararginP4{:});
c=class(c,'qd');

